%define oname breeze-plymouth

Summary:	Breeze Plymouth theme
Name:		plymouth-theme-breeze
Version:	5.11.5
Release:	1
License:	GPLv3+
Group:		System/Kernel and hardware
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
# Requires ROSA logo to be added
Patch0:		breeze-plymouth-5.7.2-rosa-defaults.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	pkgconfig(ply-splash-core)
Requires:	plymouth
Requires(post,postun):	plymouth-scripts

%description
This package contains Breeze Plymouth theme.

%files
%{_datadir}/plymouth/themes/breeze

%post
if [ -x %{_sbindir}/plymouth-set-default-theme ]; then
    export LIB=%{_lib}
    if [ $1 -eq 1 ]; then
        %{_sbindir}/plymouth-set-default-theme --rebuild-initrd breeze
    else
        THEME=$(%{_sbindir}/plymouth-set-default-theme)
        if [ "$THEME" == "text" -o "$THEME" == "breeze" ]; then
            %{_sbindir}/plymouth-set-default-theme --rebuild-initrd breeze
        fi
    fi
fi

%postun
export LIB=%{_lib}
if [ $1 -eq 0 -a -x %{_sbindir}/plymouth-set-default-theme ]; then
    if [ "$(%{_sbindir}/plymouth-set-default-theme)" == "breeze" ]; then
        %{_sbindir}/plymouth-set-default-theme --reset --rebuild-initrd
    fi
fi

#----------------------------------------------------------------------------

%package -n plymouth-theme-breeze-text
Summary:	Text Breeze Plymouth theme
Group:		System/Kernel and hardware
Requires:	plymouth
Requires(post,postun):	plymouth-scripts

%description -n plymouth-theme-breeze-text
This package contains text Breeze Plymouth theme.

%files -n plymouth-theme-breeze-text
%{_datadir}/plymouth/themes/breeze-text
%{_libdir}/plymouth/breeze-text.so

%post -n plymouth-theme-breeze-text
if [ -x %{_sbindir}/plymouth-set-default-theme ]; then
    export LIB=%{_lib}
    if [ $1 -eq 1 ]; then
        %{_sbindir}/plymouth-set-default-theme --rebuild-initrd breeze-text
    else
        THEME=$(%{_sbindir}/plymouth-set-default-theme)
        if [ "$THEME" == "text" -o "$THEME" == "breeze-text" ]; then
            %{_sbindir}/plymouth-set-default-theme --rebuild-initrd breeze-text
        fi
    fi
fi

%postun -n plymouth-theme-breeze-text
export LIB=%{_lib}
if [ $1 -eq 0 -a -x %{_sbindir}/plymouth-set-default-theme ]; then
    if [ "$(%{_sbindir}/plymouth-set-default-theme)" == "breeze-text" ]; then
        %{_sbindir}/plymouth-set-default-theme --reset --rebuild-initrd
    fi
fi

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1

%build
%cmake_kde5

%install
%makeinstall_std -C build


%changelog

* Fri Jan 05 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.5-1
- (0a86444) New version 5.11.5


